# 3. Computer Aided design

## Class site

[Computer-Aided Design](http://academy.cba.mit.edu/classes/computer_design/index.html)

## Class video

[Fab-20190130B_Review01: project management](https://vimeo.com/314593617)  
[Fab-20190130D_Lesson02: computer-aided design](Fab-20190130D_Lesson02: computer-aided design)  
[video](https://vimeo.com/academany/)  

## Assignment

> model (raster, vector, 2D, 3D, render, animate, simulate, ...) a possible final project, and post it on your class page  

## [Learning outcomes](http://fabacademy.org/2019/docs/FabAcademy-Assessment/computer-aided_design.html)

* Evaluate and select 2D and 3D software
* Demonstrate and describe processes used in modelling with 2D and 3D software

## Have you?

* Modelled experimental objects/part of a possible project in 2D and 3D software
* Shown how you did it with words/images/screenshots
* Included your original design files

## For Japanese
### 日程変更
May 01 -> Apr 30(tue): mechanical design

### Repoサイズ
https://gitlab.fabcloud.org/academany/fabacademy/2019/site/blob/master/sizes.md  

リセットをする時はこちらへ投稿（バックアップは自分でやること）
https://gitlab.fabcloud.org/academany/fabacademy/2019/class/issues/9

### サイト
MarkDownのテンプレートが用意されていてそれを使っているが、最終的にはHTMLで書いた方がいい。  
（内容が少ない今のうちがいいと思う。最後あたりにやろうとすると作業も大変だし時間がとれなくなる）  
week2のページに、エディターを使ったという記載が欲しい

### 2D、3Dソフト
* 出来るだけたくさんのソフトを使ってみる（必ずそれぞれ２個以上を試して、評価・感想を書くこと。1つづつしか使わないと指摘が来ます。）
* 出来るだけいろいろなソフトを使い、様々なファイナルプロジェクトに関するものを作ってみる
* 今週はパラメトリックである必要はありませんが、来週にデータを作るので意識しておきましょう

2D design

- Raster
    - [GIMP](https://www.gimp.org/) [BIMP](https://alessandrofrancesconi.it/projects/bimp/)
    - ?

* Vector 
    * [Inkscape](https://inkscape.org/): clone
    * [FreeCAD](https://www.freecadweb.org/)

3D design

- [Fusion 360](https://www.autodesk.com/products/fusion-360/overview)  
- [Solidworks](https://www.solidworks.com/): Winのみ  
- [xDesign](http://xdesign.solidworks.com/): ブラウザ  
- [FreeCAD](https://www.freecadweb.org/)  
- [Rhino 5 for Mac Evaluation](https://www.rhino3d.com/download/rhino-for-mac/5/evaluation): Grasshopperが含まれる [fabble](https://fabble.cc/alizm/macxgrasshopperxxxx)  
- [Autodesk Account](https://manage.autodesk.com/home/): 使えるソフトを確認    
    - [Dynamo Studio](https://www.autodesk.com/products/dynamo-studio/overview): Winのみ、ビジュアルプログラミングができる(student accountなら3年使用可能のはず)   
    - [作業開始したばかり](http://yuichitamiya.fabcloud.io/dynamo-fusion360/)

レンダリング

- [Blender](https://www.blender.org/)
- [Fusion 360 Renderer tutorial](https://gitlab.fabcloud.org/kai.naito/FabAcademy-Tutorials/blob/new/week02_computer_aided_design/fusion360_render.md)


### 外部サイトに保存
* 3Dモデルなど、 [基準として10MBを超えるものは外部に保存](http://fabacademy.org/2019/docs/FabAcademy-Assessment/general_essentials.html)します
    * [Sketchfab](https://sketchfab.com/): sculpt系の3D modelデータにおすすめ
    * [A360](https://a360.autodesk.com/): Autodesk Fusion360と連携
    * [GrabCAD](https://grabcad.com/): cad modelにおすすめ

サイトには埋め込みリンクを掲載します
```
<div class="sketchfab-embed-wrapper"><iframe width="640" height="480" src="https://sketchfab.com/models/658c8f8a2f3042c3ad7bdedd83f1c915/embed" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

<p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;">
    <a href="https://sketchfab.com/models/658c8f8a2f3042c3ad7bdedd83f1c915?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Dita&#39;s Gown</a>
    by <a href="https://sketchfab.com/francisbitontistudio?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Francis Bitonti Studio</a>
    on <a href="https://sketchfab.com?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a>
</p>
</div>
```
<div class="sketchfab-embed-wrapper"><iframe width="640" height="480" src="https://sketchfab.com/models/658c8f8a2f3042c3ad7bdedd83f1c915/embed" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

<p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;">
    <a href="https://sketchfab.com/models/658c8f8a2f3042c3ad7bdedd83f1c915?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Dita&#39;s Gown</a>
    by <a href="https://sketchfab.com/francisbitontistudio?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Francis Bitonti Studio</a>
    on <a href="https://sketchfab.com?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a>
</p>
</div>



### ドキュメンテーション
大きいデータを除き、作ったデータはRepoに含めますが、リンクはページの最後など分かりやすい場所にまとめて置きましょう  
（Global Evaluatorの作業効率化に協力=自分の内容の評価が早く進んで修正の指示が早く来るようになる）


### 読みましょう
- FabAcademy-Assessment: 5.[Computer-Aided Design](http://fabacademy.org/2019/docs/FabAcademy-Assessment/computer-aided_design.html)
- FabAcademy-Tutorials: [12-18](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week02_computer_aided_design/2d_tools.html)

## Useful links
[Fusion 360 Renderer tutorial](https://gitlab.fabcloud.org/kai.naito/FabAcademy-Tutorials/blob/new/week02_computer_aided_design/fusion360_render.md)  
Mac App [png2jpg](http://yuichitamiya.fabcloud.io/mkdocs/png2jpg/)
[Makehumen](http://www.makehumancommunity.org/content/downloads.html)
[Marvelous Desiggner](https://flashbackj.com/product/marvelous-designer)

## For Next Week
- Monday 9:00 EST, 23:00 JST
    - Recitaion: none
- Tuesday Time:
    - Asia Regional Review: 13:00-14:00 JST and 22:00-23:00 JST
    - videoconference
        - conference for meetings: [https://bluejeans.com/fabevent/1248](https://bluejeans.com/fabevent/1248)
- Wednesday 9:00 EST, 23:00J ST
    - videoconference
        - [https://bluejeans.com/academany/2486](https://bluejeans.com/academany/2486) ~200 ports
    - [Computer-Controlled Cutting](http://academy.cba.mit.edu/classes/computer_cutting/index.html)

**assignment**
> group assignment:  
>      characterize your lasercutter, making test part(s)  
>         that vary cutting settings and dimensions  
>   individual assignment:  
>      cut something on the vinylcutter  
>      design, lasercut, and document a parametric press-fit construction kit,  
>         accounting for the lasercutter kerf,  
>         which can be assembled in multiple ways  

press-fit construction kitで使用する素材はダンボール(A3)です  
vinylcutterはステッカーを作って終わるのですが、サンドブラストしませんか？

- 来週からWeekly group assiggnmentがあります
    - Site: [http://fabacademy.org/2019/labs/kannai/](http://fabacademy.org/2019/labs/kannai/) 
    - Repo: [https://gitlab.fabcloud.org/academany/fabacademy/2019/labs/kannai/site](https://gitlab.fabcloud.org/academany/fabacademy/2019/labs/kannai/site)
    - 権限確認
    - 分担して更新して下さい

- machinehine_buildingのプロジェクト作りました
    - class
        - Apr 30: mechanical design
        - May 15: machine design
        - May 22: 発表(1分くらい)
    - Repo: [https://gitlab.fabcloud.org/academany/fabacademy/2019/labs/kannai/machine_building](https://gitlab.fabcloud.org/academany/fabacademy/2019/labs/kannai/machine_building)
    - 権限確認