# 15. Mechanical design

## Class site
[Mechanical Design](http://academy.cba.mit.edu/classes/mechanical_design/index.html)

## Class video
[Fab-20190430B_Review13: networking and communications](https://vimeo.com/333477784)  
[Fab-20190430D_Lesson14: mechanical design](https://vimeo.com/333478028)  
[video](https://vimeo.com/academany/)   

## Assignment
> **group assignment**  
>   - design a machine that includes mechanism+actuation+automation  
>   - build the mechanical parts and operate it manually  
>   - document the group project and your individual contribution  

## [Learning outcomes](http://fabacademy.org/2019/docs/FabAcademy-Assessment/mechanical_design,_machine_design.html)
- Work and communicate effectively in a team and independently
- Design, plan and build a system
- Analyse and solve technical problems
- Recognise opportunities for improvements in the design

## nueval-Check List
- Explained your individual contribution to this project on your own website
- Shown how your team planned and executed the project(Group page)
- Described problems and how the team solved them(Group page)
- Listed future development opportunities for this project(Group page)
- Included your design files
- (Optionally) 1 min video (1920x1080 HTML5 MP4) + slide (1920x1080 PNG)(Group page)

## [Turotial](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/index.html)
none

## For Japanese

### スケジュール

- Apr 30(Tue): mechanical design
    - May 4: local session
- May 08: interface and application programming
    - May 11: local session
- May 15: machine design
    - May 18: local session
- May 22: wildcard week (@Kannai 発表)
    - May 25: local session
- May 29: invention, intellectual property, and income
    - Jun 01: local session
- Jun 06(Thu): project development
    - Jun 08: local session
- Jun 12: project presentations
- Jun 14: project presentations (@Kannai)
- Jun 17: project presentations
- Jun 19: project presentations

### ゴールデンウィーク予定
- [カレンダー FabAcademy Kannai2019](https://calendar.google.com/calendar/embed?src=s73m4ito9h9pvjce5ffjdds7pk%40group.calendar.google.com&ctz=Asia%2FTokyo)

### Machine Building
- [スラック　スレッド](https://fabacademyjapan.slack.com/archives/CCZG7GKU0/p1555666021004600)

### Wildcard Week
- [スラック　スレッド](https://fabacademyjapan.slack.com/archives/CCZG7GKU0/p1555666122005700)


### group assignment  

-Mechanical Design#1
>   - design a machine that includes mechanism+actuation+automation
>   - build the mechanical parts and operate it manually
>   - document the group project and your individual contribution
  
-Machine Design#2
>   - actuate and automate your machine
>   - document the group project and your individual contribution


- #1
    - デザイン
        - mechanism：機構
        - actuation：作動
        - automation：自動
    - 手動で動くようにする 
- #2
    - 自動で動かす
- ドキュメント
    - Lab site の group pageにドキュメントする  
        -　[site](http://fabacademy.org/2019/labs/kannai/projects/machine-building/#individual-contributionweek-17-machine-design)  
        -　[repo](https://gitlab.fabcloud.org/academany/fabacademy/2019/labs/kannai/site/blob/master/docs/projects/machine-building.md)  
        -　週ごとに分けてもOK  
    -　個人のサイトに自分が担当したことを書く  
- 発表用(Group pageに載せる)
    -　1 min video (1920x1080 HTML5 MP4) 
    -　slide (1920x1080 PNG)

## For Next Week
- Monday 9:00 **D**ST, **22**:00 JST
    - Recitaion: none
- Tuesday 13:00-14:00 JST and 22:00-23:00 JST
    - Asia Regional Review: none
    - videoconference
        - conference for meetings: [https://bluejeans.com/fabevent/1248](https://bluejeans.com/fabevent/1248)
- Tuesday 9:00 **D**ST, **22**:00JST
    - videoconference
        - [Zoom meeting ID: 198 434 642, password: 1234](http://fab.academany.org/2019/video.html) ~500 ports
    - [interface and application programming](http://academy.cba.mit.edu/classes/interface_application_programming/index.html)

## assignment  
> **individual assignment**:  
>      write an application that interfaces with an input &/or output device  
>      that you made  
>
>   **group assignment**:  
>      compare as many tool options as possible  
