# 11. Input devices

## Class site

[Input Devices](http://academy.cba.mit.edu/classes/input_devices/index.html)  

## Class video
[Fab-20190327B_Review09: molding and casting](https://vimeo.com/326957374)  
[Fab-20190327D_Lesson10: input devices](https://vimeo.com/326957751)  
[video](https://vimeo.com/academany/)   

## Assignment
> **individual assignment**:  
>      measure something: add a sensor to a microcontroller board  
>      that you have designed and read it  
>
> **group assignment**:  
>      probe an input device's analog levels and digital signals  

## [Learning outcomes](http://fabacademy.org/2019/docs/FabAcademy-Assessment/moulding_and_casting.html)
- Demonstrate workflows used in circuit board design and fabrication
- Implement and interpret programming protocols

## nueval-Check List
- Described your design and fabrication process using words/images/screenshots 
- Explained the programming process/es you used and how the microcontroller datasheet helped you.
- Explained problems and how you fixed them
- Included original design files and code

## [Turotial](http://fabacademy.org/2019/docs/FabAcademy-Tutorials/)

## For Japanese
### Final Presentationの日程
- Jun 12: project presentations:(水)
- Jun 14: project presentations:(金)
- Jun 17: project presentations:(月)
- Jun 19: project presentations:(水)
    - eveningがなくなった
    - ラボごと
    - 予約解禁になったらインストラクターが希望日にアサインする
        - 解禁のアナウンスの時間によってレスポンスが遅れる場合がある（時差）
    - Presentationまでに発表できるようにしておく
        - 発表は自宅からではなく、ファブラボ関内に集まって発表する
        - 3 min/person
        - 1 min video 
        - スライド
        - ドキュメント
        - 質問に答える
    - Presentationが早い日でも残った作業が可能
        - Jun 19: last date to submit for review
    - 早い日程
        - 指摘を受けてて修正する時間がある
        - ネットワークトラブルなど、日程再発表する余裕がある
    - 遅い日程
        - 発表ぎりぎりまで作る時間が持てる

### individual assignment
- 部品確認
    - [Kannai Inventory_student](https://docs.google.com/spreadsheets/d/1qa7KH_eZlNbBe4v6hRs2aoUpUX6Z6viAnFmCRfwmeNk/edit#gid=0)
- Final Projectの一部を作れれば効率的
- Eagleで自分でデザイン
- MDX-15で切削
    - ケーブル青
    - Ubuntu
    - Fabmodules
    - エンドミル
        - 1/64 マイビット
        - 1/32 共有
- 面実装
- センサーの値が読めていること（センサーの値が変化する）を示す

### Group Assignment
- オシロを使う
- センサーの根元の値（アナログ）と、FTDIへの出力の値（デジタル）を読む

## For Next Week
- Monday 9:00 **D**ST, **22**:00 JST
    - Recitaion: none
- Tuesday Time:
    - Asia Regional Review: 13:00-14:00 JST and 22:00-23:00 JST
    - ヨーロッパが夏時間になりますが、アジアは変更なし
    - videoconference
        - conference for meetings: [https://bluejeans.com/fabevent/1248](https://bluejeans.com/fabevent/1248)
- Wednesday 9:00 **D**ST, **22**:00JST
    - videoconference
        - [Zoom meeting ID: 198 434 642, password: 1234](http://fab.academany.org/2019/video.html) ~500 ports
    - [Output Devices](http://academy.cba.mit.edu/classes/output_devices/index.html)

## assignment
> *individual assignment*:  
>      add an output device to a microcontroller board you've designed,  
>         and program it to do something  
>  
> *group assignment*:  
>       measure the power consumption of an output device  



