# 18. Wildcard week

## Class site

[Wildcard Week](http://academy.cba.mit.edu/classes/wildcard/index.html)

## Class video
[Fab-20190515D_Lesson16: machine design](https://vimeo.com/336476790)  
[Fab-20190522D_Lesson17: wildcard week](https://vimeo.com/338245837)  
[video](https://vimeo.com/academany/)    

## Assignment
>   Design and produce something with a digital fabrication process  
>   (incorporating computer-aided design and manufacturing)
>   not covered in another assignment,  
>   documenting the requirements that your assignment meets,  
>   and including everything necessary to reproduce it.
>   Possibilities include (but are not limited to) composites, textiles,
>   biotechnology, robotics, folding, and cooking.

## [Learning outcomes](http://fabacademy.org/2019/docs/FabAcademy-Assessment/wildcard_week.html)
- Demonstrate workflows used in the chosen process  
- Select and apply suitable materials and processes to create your project.

## nueval-Check List
- Shown how you made your project  
- Described problems and how you fixed them  
- Included your design files and ‘hero shot’ photos of the project

## FAQ
**Can I make the assignment by hand?**  
Although there can be manual processing steps, to count as digital fabrication the workflow should pass through design in a computer and some kind of automated output process. So programming the embroidery of circuits would count, but hand-stitching them wouldn’t.

## [Turotial] (http://fabacademy.org/2019/docs/FabAcademy-Tutorials/index.html)
none

## For Japanese


### スケジュール

- May 22: wildcard week
    - May 25: local session
- May 29: invention, intellectual property, and income
    - Jun 01: local session
- Jun 06(Thu): project development
    - Jun 08: local session
- Jun 12: project presentations
- Jun 14: project presentations (@Kannai)
- Jun 17: project presentations
- Jun 19: project presentations

### final presentation
- [Project Thumbnails](https://finalprojects.fabacademy.org/#/thumbnails/2019)
    - スライド：/presentation.png: 1920x1080
    - ビデオ：/presentation.mp4: 1920x1080 HTML5
    - your-name/index.md と同じ階層に置くと反映される
- [Presentation Schedule](https://finalprojects.fabacademy.org/#/schedule/2019) (5/24現在、当日の発表時間は各自確認のこと)
    - 14 Jun 2019 (14)
        - Kannai
            - 09:15:00 EDT  Yozi Shimakawa
            - 09:17:30 EDT  Kota Tomaru
            - 09:20:00 EDT  Takayuki Sakai

### individual assignment
- 刺繍
    - ソフト
        - [刺しゅうPRO NEXT](https://www.brother.co.jp/product/hsm/embropc/shishu_pro_next/index.aspx)  
        -[使い方マニュアル](https://download.brother.com/welcome/doch010120/pronext_ug01jp.pdf)
    - 刺繍ミシン
        - [JANOME Hyper Craft 900](https://www.janome.co.jp/products/sewing_machine/shisyu/hc900.html)
        - [取扱説明書](https://www.janome.co.jp/manual/search/pdf/861-800-300.pdf)
    - reference
        - [awesome-fabacademy](https://github.com/Academany/awesome-fabacademy#digital-embroidery)
            - [Ink/Stitch](https://inkstitch.org/) Open source Inkscape plugin for digital embroidery 
            - [SophieSew](http://sophiesew.com/SS2/) Free embroidery design software
        - http://archive.fabacademy.org/2018/labs/fablabdassault/students/greg-buckland/exercise15.html
-  [Composites](http://academy.cba.mit.edu/classes/composites/index.html)
    - ポリエステル樹脂 [主剤(1kg)](https://www.monotaro.com/p/2100/1347/)、[SDS](https://drive.google.com/open?id=1S0madaQzZPXTdb5Qsf79SMnawhl9gC9c)
    - [硬化剤](https://www.monotaro.com/g/01364668/?monotaroNo=21001313)、[SDS](https://drive.google.com/open?id=1qktPf8g3L2jLfAoaXdKcLrHSikm7_DPB)
    - coupons - test piece
    - safety
        - 手袋、ゴーグル、換気
        - 養生
        - グラスファイバー、カーボンファイバーは禁止
    - 型
        - mill
        - laser cut
            - ダンボール
- 紙漉き
    - FAB14 France のワークショップ
    - FabParer
        - UTA FabLab   
        - https://twitter.com/morganchivers


## For Next Week
- Monday 9:00 **D**ST, **22**:00 JST
    - Recitaion: events
- Tuesday 13:00-14:00 JST and 22:00-23:00 JST
    - Asia Regional Review: none
    - videoconference
        - conference for meetings: [https://bluejeans.com/fabevent/1248](https://bluejeans.com/fabevent/1248)
- Tuesday 9:00 **D**ST, **22**:00JST
    - videoconference
        - [Zoom meeting ID: 198 434 642, password: 1234](http://fab.academany.org/2019/video.html) ~500 ports
    - [invention, intellectual property, and income](http://academy.cba.mit.edu/classes/invention_IP_business/index.html)

## assignment  
>   develop a plan for dissemination of your final project  
>   prepare drafts of your summary slide (presentation.png, 1920x1080)  
>      and video clip (presentation.mp4, 1080p HTML5, < ~minute, < ~10 MB)  
>      and put them in your root directory  